Subject: Re: bug#43735: 28.0.50; eshell: No such directory found via CDPATH environment variable

From: Colin Baxter <[email-masked]>
Date: Fri, 02 Oct 2020 08:39:53 +0100

>>>>> Lars Ingebrigtsen <[email-masked]> writes:

    > Jean Louis <[email-masked]> writes:
    >> If you change within shell or eshell maybe no, I change it in
    >> .bashrc before launching and can reproduce reliably

    > My test case is

    > CDPATH="/var" emacs -Q M-x eshell $ cd tmp /var/tmp $

    > So CDPATH works as advertised in eshell, as far as I can tell.

I can confirm CDPATH works in shell and eshell.

cd $HOME <RET>
mkdir hop <RET>
mkdir $HOME/hop/hip <RET>
mkdir $HOME/hop/hip/hap <RET>
export CDPATH=".:/home/<USERNAME>/hop/hip/" <RET>
cd <RET>
emacs -q <RET>
M-x shell <RET>

In shell:
cd <RET>
cd hap <RET>
pwd <RET> --> /home/<USERNAME>/hop/hip/hap

I used emacs-28.0.50. CDPATH is always tricky to set correctly. I never
use it myself, for that reason.

Best wishes,
 
Colin Baxter